Loading...
Searching...
No Matches
casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T > Class Template Reference

`#include <MArrayMath.h>`

## Public Member Functions

| MFractileFunc (Float fraction, Bool sorted=False, Bool inPlace=False)
virtual | ~MFractileFunc ()
T | operator() (const MArray< T > &arr) const

## Private Attributes

float | itsFraction
Bool | itsSorted
Bool | itsInPlace

## Detailed Description

template<typename T>
class casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T >

Definition at line 168 of file MArrayMath.h.

## Constructor & Destructor Documentation

## MFractileFunc()

template<typename T>

casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T >::MFractileFunc | ( | Float | fraction,
|  | Bool | sorted = False,
|  | Bool | inPlace = False )

inline explicit

Definition at line 170 of file MArrayMath.h.

References casacore::False, itsFraction, itsInPlace, and itsSorted.

## ~MFractileFunc()

template<typename T>

virtual casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T >::~MFractileFunc | ( |  | ) |

inline virtual

Definition at line 173 of file MArrayMath.h.

## Member Function Documentation

## operator()()

template<typename T>

T casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T >::operator() | ( | const MArray< T > & | arr | ) | const

inline

Definition at line 174 of file MArrayMath.h.

References casacore::MArrayMath_global_functions_MArray_mathematical_operations::fractile(), itsFraction, itsInPlace, and itsSorted.

## Member Data Documentation

## itsFraction

template<typename T>

float casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T >::itsFraction

private

Definition at line 177 of file MArrayMath.h.

Referenced by MFractileFunc(), and operator()().

## itsInPlace

template<typename T>

Bool casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T >::itsInPlace

private

Definition at line 179 of file MArrayMath.h.

Referenced by MFractileFunc(), and operator()().

## itsSorted

template<typename T>

Bool casacore::MArrayMath_global_functions_MArray_mathematical_operations::MFractileFunc< T >::itsSorted

private

Definition at line 178 of file MArrayMath.h.

Referenced by MFractileFunc(), and operator()().

The documentation for this class was generated from the following file:

- tables/TaQL/MArrayMath.h